/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODUTOSEG                                               */
/* Tabela : PRODUTOSEG                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_PRODUTOSEG
BEFORE INSERT OR UPDATE OR DELETE
ON PRODUTOSEG FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPSEG := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDSEGMER,0)     <> NVL(:NEW.CDSEGMER,0)) OR
         (NVL(:OLD.CDPRODUTO,0)    <> NVL(:NEW.CDPRODUTO,0)) OR
         (NVL(:OLD.IDPROSEGATIV,0) <> NVL(:NEW.IDPROSEGATIV,0)) THEN
         :NEW.DTULTATUPSEG := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODUTOSEG', '', 'CDSEGMER='||:OLD.CDSEGMER||';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODUTOSEG MODIFY DTULTATUPSEG DEFAULT SYSDATE
/
